import { JavaObject } from '../../../java/lang/JavaObject';
import { List } from '../../../java/util/List';
export declare class AbschlussErgebnisBerufsbildend extends JavaObject {
    hatBSA: boolean;
    note: number;
    hatBA: Boolean | null;
    abschlussAllgemeinbildend: String | null;
    log: List<String> | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): AbschlussErgebnisBerufsbildend;
    static transpilerToJSON(obj: AbschlussErgebnisBerufsbildend): string;
    static transpilerToJSONPatch(obj: Partial<AbschlussErgebnisBerufsbildend>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_abschluss_AbschlussErgebnisBerufsbildend(obj: unknown): AbschlussErgebnisBerufsbildend;
